# Big Bang

## Scope

Big Bang's scope is to provide publicly available installation manifests for:

* a specific set of packages that adhere to the [DevSecOps Reference Architecture](https://software.af.mil/dsop/documents/#documents).  The set of packages are listed here: [Big Bang Application List](BigBangPackages.md)
* packages that facilitate development of applications that adhere to the DevSecOps Reference Architecture

Big Bang also builds tooling around the testing and validation of Big Bang packages.  These tools are provided as is, without support.

## Big Bang Packages

A Big Bang Package (BBP) is manifests that adhere to the requirements outlined in [Application Requirements](PackageRequirements.md).  

Each BBP has a set of Owners whose responsibility is outlined in [Package Owners](PackageOwner.md).

Each BBP follows its own release cycle adhering to at least the requirements outlined in [Release Process](ReleaseProcess.md).

## Change to the Charter

All changes to the charter must be requested via Merge Request into the master branch.

## Bi-weekly Meetings

The Big Bang project will have a bi-weekly meeting to discuss global issues that are occurring across applications.  Meeting minutes/notes will be kept and posted in a separate repository, and all meetings will be recorded and hosted for public availability.  All policy decisions can be talked about during these meetings, but nothing is final until merged into this repository, following the requirements for updating the charter.
